commit:     aa6bff56c719332a4f2a810bd2b690af1bc375e8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 00:56:53 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 00:56:53 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa6bff56

net-misc/bopm: fix configure w/ clang 16

Closes: https://bugs.gentoo.org/900254
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../{bopm-3.1.3-r6.ebuild => bopm-3.1.3-r7.ebuild} | 11 ++-
 net-misc/bopm/files/bopm-3.1.3-autotools.patch     | 88 ----------------------
 2 files changed, 8 insertions(+), 91 deletions(-)

diff --git a/net-misc/bopm/bopm-3.1.3-r6.ebuild 
b/net-misc/bopm/bopm-3.1.3-r7.ebuild
similarity index 80%
rename from net-misc/bopm/bopm-3.1.3-r6.ebuild
rename to net-misc/bopm/bopm-3.1.3-r7.ebuild
index ae8dd5a2d897..d42d9a0d0a54 100644
--- a/net-misc/bopm/bopm-3.1.3-r6.ebuild
+++ b/net-misc/bopm/bopm-3.1.3-r7.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit autotools
 
@@ -14,6 +14,8 @@ SLOT="0"
 KEYWORDS="~alpha ~amd64 ~ppc ~x86"
 
 RDEPEND="acct-user/opm"
+BDEPEND="acct-user/opm"
+BDEPEND="sys-devel/autoconf-archive"
 
 PATCHES=(
        "${FILESDIR}"/${P}-remove-njabl.patch
@@ -29,6 +31,8 @@ src_prepare() {
 
        mv configure.{in,ac} || die
        mv src/libopm/configure.{in,ac} || die
+       mkdir src/libopm/m4 || die
+       cp "${BROOT}"/usr/share/aclocal/ax_func_snprintf.m4 
src/libopm/m4/ax_func_snprintf.m4 || die
 
        default
        cp bopm.conf{.sample,} || die
@@ -37,7 +41,8 @@ src_prepare() {
 }
 
 src_configure() {
-       econf --localstatedir="${EPREFIX}"/var/log/${PN}
+       # We need --enable-static to build libopm.a. We don't install it so 
it's fine.
+       econf --localstatedir="${EPREFIX}"/var/log/${PN} --enable-static
 }
 
 src_install() {

diff --git a/net-misc/bopm/files/bopm-3.1.3-autotools.patch 
b/net-misc/bopm/files/bopm-3.1.3-autotools.patch
index e2927b0b74b6..e336150f430c 100644
--- a/net-misc/bopm/files/bopm-3.1.3-autotools.patch
+++ b/net-misc/bopm/files/bopm-3.1.3-autotools.patch
@@ -44,94 +44,6 @@
  AC_CONFIG_SRCDIR(src/libopm.h)
  AM_CONFIG_HEADER(src/setup.h)
  AM_INIT_AUTOMAKE()
---- bopm-3.1.3/src/libopm/m4/ax_func_snprintf.m4
-+++ bopm-3.1.3/src/libopm/m4/ax_func_snprintf.m4
-@@ -0,0 +1,85 @@
-+# ===========================================================================
-+#     http://www.gnu.org/software/autoconf-archive/ax_func_snprintf.html
-+# ===========================================================================
-+#
-+# SYNOPSIS
-+#
-+#   AX_FUNC_SNPRINTF
-+#
-+# DESCRIPTION
-+#
-+#   Checks for a fully C99 compliant snprintf, in particular checks whether
-+#   it does bounds checking and returns the correct string length; does the
-+#   same check for vsnprintf. If no working snprintf or vsnprintf is found,
-+#   request a replacement and warn the user about it. Note: the mentioned
-+#   replacement is freely available and may be used in any project
-+#   regardless of it's license.
-+#
-+# LICENSE
-+#
-+#   Copyright (c) 2008 Ruediger Kuhlmann <[email protected]>
-+#
-+#   Copying and distribution of this file, with or without modification, are
-+#   permitted in any medium without royalty provided the copyright notice
-+#   and this notice are preserved. This file is offered as-is, without any
-+#   warranty.
-+
-+#serial 5
-+
-+AU_ALIAS([AC_FUNC_SNPRINTF], [AX_FUNC_SNPRINTF])
-+AC_DEFUN([AX_FUNC_SNPRINTF],
-+[AC_CHECK_FUNCS(snprintf vsnprintf)
-+AC_MSG_CHECKING(for working snprintf)
-+AC_CACHE_VAL(ac_cv_have_working_snprintf,
-+[AC_TRY_RUN(
-+[#include <stdio.h>
-+
-+int main(void)
-+{
-+    char bufs[5] = { 'x', 'x', 'x', '\0', '\0' };
-+    char bufd[5] = { 'x', 'x', 'x', '\0', '\0' };
-+    int i;
-+    i = snprintf (bufs, 2, "%s", "111");
-+    if (strcmp (bufs, "1")) exit (1);
-+    if (i != 3) exit (1);
-+    i = snprintf (bufd, 2, "%d", 111);
-+    if (strcmp (bufd, "1")) exit (1);
-+    if (i != 3) exit (1);
-+    exit(0);
-+}], ac_cv_have_working_snprintf=yes, ac_cv_have_working_snprintf=no, 
ac_cv_have_working_snprintf=cross)])
-+AC_MSG_RESULT([$ac_cv_have_working_snprintf])
-+AC_MSG_CHECKING(for working vsnprintf)
-+AC_CACHE_VAL(ac_cv_have_working_vsnprintf,
-+[AC_TRY_RUN(
-+[#include <stdio.h>
-+#include <stdarg.h>
-+
-+int my_vsnprintf (char *buf, const char *tmpl, ...)
-+{
-+    int i;
-+    va_list args;
-+    va_start (args, tmpl);
-+    i = vsnprintf (buf, 2, tmpl, args);
-+    va_end (args);
-+    return i;
-+}
-+
-+int main(void)
-+{
-+    char bufs[5] = { 'x', 'x', 'x', '\0', '\0' };
-+    char bufd[5] = { 'x', 'x', 'x', '\0', '\0' };
-+    int i;
-+    i = my_vsnprintf (bufs, "%s", "111");
-+    if (strcmp (bufs, "1")) exit (1);
-+    if (i != 3) exit (1);
-+    i = my_vsnprintf (bufd, "%d", 111);
-+    if (strcmp (bufd, "1")) exit (1);
-+    if (i != 3) exit (1);
-+    exit(0);
-+}], ac_cv_have_working_vsnprintf=yes, ac_cv_have_working_vsnprintf=no, 
ac_cv_have_working_vsnprintf=cross)])
-+AC_MSG_RESULT([$ac_cv_have_working_vsnprintf])
-+if test x$ac_cv_have_working_snprintf$ac_cv_have_working_vsnprintf != 
"xyesyes"; then
-+  AC_LIBOBJ(snprintf)
-+  AC_MSG_WARN([Replacing missing/broken (v)snprintf() with version from 
http://www.ijs.si/software/snprintf/.])
-+  AC_DEFINE(PREFER_PORTABLE_SNPRINTF, 1, "enable replacement (v)snprintf if 
system (v)snprintf is broken")
-+fi])
 --- bopm-3.1.3/src/libopm/m4/etr_socket_nsl.m4
 +++ bopm-3.1.3/src/libopm/m4/etr_socket_nsl.m4
 @@ -0,0 +1,81 @@

Reply via email to